Module | Ramaze::Helper::Partial
In: | lib/ramaze/helper/partial.rb

# Helper::Partial

Please note that this helper is deprecated in favor of # Helper::Render, it has been removed from Innate and remains in Ramaze until 2009.05.

### Example Usage

      class MyController
        def index
        end

        def list
          plain = request['plain']
          "Hello World from List!  Plain List == #{plain}"
        end
      end

      <html>
        <head><title>Partial Render Index</title></head>
        <body>
          #{render_partial(Rs(:list), 'plain' => true)}
        </body>
      </html>

### Methods

render_action render_partial render_template

### Public Instance methods

render_action(method, *params)
render_partial(url, options = {})

Renders a url ‘inline’.

`url` normal URL, like you‘d use for redirecting. `options` optional, will be used as request parameters.

Issues a mock request to the given `url` with `options` turned into query arguments.

render_template(path, variables = {})

Render the template file in view_root of the current controller.

TODO:

- Doesn‘t work for absolute paths, but there are no specs for that yet.
- the local variable hack isn‘t working because innate allocates a new binding. For now one can simply use instance variables, which I prefer anyway.

the local binding hack:

      variables.each do |key, value|
        value = "ObjectSpace._id2ref(#{value.object_id})"
        eval "#{key} = #{value}", action.binding
      end

[Validate]